<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../DTD/geometry.dtd">
<DDDB>
<!-- """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""" --> 
<!--   
  CVS tag: $Name: not supported by cvs2svn $
  $Log: not supported by cvs2svn $
  Revision 1.4  2006/02/06 15:54:04  cattanem
  DC06 geometry and cleanup of older stuff

  Revision 1.3  2002/09/12 09:33:02  cattanem
  Add vertical Rich, Velo optimisation

  Revision 1.2  2002/06/04 16:23:56  cattanem
  changes from Galina

  Revision 1.1  2002/03/13 12:13:07  ibelyaev
   new description of Magnet by Galina Pakhlova
 
--> 
<!-- """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""" --> 
<!-- ******************************************************************* --> 
<!--                      Overall Magnet Geometry                        -->
<!-- ******************************************************************* --> 

<!-- Center of magnet is  at Z = 5300 mm !!! of the interaction point %%% -->  

   <logvol name = "Magnet">

<!-- %%% Installation of Yoke Vertical Parts (+Z looks at me)  %%% -->  

   <physvol name   = "Left_Vertical_Part"
            logvol = "/dd/Geometry/MagnetRegion/Magnet/YokeVert"> 
               <posXYZ z = "-YokePlateThick" 
                       x = "-0.5*(MagSizeX-1*YokeVertSizeX)"/> 
   </physvol>

   <physvol name   = "Right_Vertical_Part"
            logvol = "/dd/Geometry/MagnetRegion/Magnet/YokeVert"> 
               <posXYZ  z = "-YokePlateThick" 
                        x = "0.5*(MagSizeX-1*YokeVertSizeX)"/>
               <rotXYZ  rotZ = "180*degree"/>
   </physvol>
          
<!-- %%% Installation of Yoke Horizontal Parts %%% -->  

   <physvol name   = "Upper_Horizontal_Part"
            logvol = "/dd/Geometry/MagnetRegion/Magnet/YokeHor"> 
     <transformation>
       <posXYZ/> 
       <rotXYZ rotY = "90*degree"/>
          <posXYZ/>
          <rotXYZ rotX = "90*degree-1*MagAperture"/>
             <posXYZ y = "YokeVertH20+0.5*YokeHorAvBase*cos(MagAperture)+1.*mm"
                     z = "-0.5*YokeHorAvBase*sin(MagAperture)"/>
      </transformation>
   </physvol>


   <physvol name   = "Lower_Horizontal_Part"
            logvol = "/dd/Geometry/MagnetRegion/Magnet/YokeHor"> 
     <transformation>
       <posXYZ/> 
       <rotXYZ rotY = "90*degree"/>
          <posXYZ/>
          <rotXYZ rotX = "90*degree-1*MagAperture"/>
             <posXYZ y = "YokeVertH20+0.5*YokeHorAvBase*cos(MagAperture)+1.*mm"
                     z = "-0.5*YokeHorAvBase*sin(MagAperture)"/>
	        <posXYZ/> 
               	<rotXYZ rotZ = "180*degree"/>
      </transformation>
   </physvol>

<!-- ******************************************************************** -->  

<!-- %%% Coils Installation %%% -->  

  <physvol name   = "UpperCoil"
           logvol = "/dd/Geometry/MagnetRegion/Magnet/Coil"> 
   <posXYZ   y  = "-1*(CoilSizeY-CoilThick-CoilOffset1)*cos(MagAperture)+YokeVertH20"
             z  = "(CoilSizeY-CoilThick-CoilOffset1)*sin(MagAperture)+CoilOffset2*cos(MagAperture)-CoilOffset3"/>
   <rotXYZ rotX = "-1*MagAperture"/>
  </physvol>

  <physvol name   = "LowerCoil"
         logvol   = "/dd/Geometry/MagnetRegion/Magnet/Coil"> 
   <transformation>
       <posXYZ/> 
       <rotXYZ rotZ = "180*degree"/>
   <posXYZ    y = "(CoilSizeY-CoilThick-CoilOffset1)*cos(MagAperture)-YokeVertH20"
              z = "(CoilSizeY-CoilThick-CoilOffset1)*sin(MagAperture)+CoilOffset2*cos(MagAperture)-CoilOffset3"/>
   <rotXYZ rotX =  "MagAperture"/>
   </transformation>
  </physvol>
     
<!-- ********************************************************************* --> 
 </logvol>
<!-- ********************************************************************* --> 
</DDDB> 
